unit uBizAgentesServer;

interface

uses
  schContactosServer_Intf, uDAInterfaces,
  uDADataTable, uDABusinessProcessor, uBizContactosServer;

const
  BIZ_SERVER_AGENTE = 'Server.Agente';

type
  TBizAgenteServer = class(TBizContactosServer)
  protected
    procedure Insert_Datos_Contacto(aChange: TDADeltaChange); override;
    procedure Update_Datos_Contacto(aChange: TDADeltaChange); override;
    procedure Delete_Datos_Contacto(aChange: TDADeltaChange); override;
  end;

implementation

uses
  uDataModuleServer, uDAClasses, DARemoteService_Impl,
  schContactosClient_Intf, uBusinessUtils;

{ TBizAgenteServer }

procedure TBizAgenteServer.Delete_Datos_Contacto(aChange: TDADeltaChange);
begin
  inherited;
end;

procedure TBizAgenteServer.Insert_Datos_Contacto(aChange: TDADeltaChange);
begin
  inherited;
end;

procedure TBizAgenteServer.Update_Datos_Contacto(aChange: TDADeltaChange);
begin
  inherited;
end;

initialization
  RegisterBusinessProcessorRules(BIZ_SERVER_AGENTE, TBizAgenteServer);

end.
